# Standalone PHPEnkoder

Verwendet PHP, um E-Mail-Adressen zu verschlüsseln, sodass sie nicht von Spambots gelesen werden 
können. Verschlüsselt E-Mail-Adressen im Klartext, umschließt sie mit einem Mailto:-Link und 
verschleiert bereits vorhandene Mailto:-Links.

## Verwendung

require_once('StandalonePHPEnkoder.php');
$enkoder = new StandalonePHPEnkoder();
$cleaned = $enkoder->enkodeAllEmails($text);

Wenn Sie nur Mailtos verschlüsseln möchten:

$enkoder->enkodeMailtos($text);

Wenn Sie nur Klartext-E-Mails verschlüsseln möchten:

$enkoder->enkodePlaintextEmails($text);


## Credits

Basierend auf Michael Greenberg's PHPEnkoder-Plugin für WordPress,
das wiederum eine Portierung von Hivelogic Enkoder ist. 
Lizenzdetails finden Sie in der PHP-Klasse.

Weitere Mitwirkende: [Martin Adamko](https://github.com/attitude)

--------------------------------------------------------------
engl. Originaltext
----------------------------------------------------------------

# Standalone PHPEnkoder

Uses PHP to encode email addresses so they can't be read by
spambots. Encodes plaintext email addresses and wraps them in a
mailto: link, and obfuscates any pre-existing mailto: links.

## Usage

    require_once('StandalonePHPEnkoder.php');
    $enkoder = new StandalonePHPEnkoder();
    $cleaned =  $enkoder->enkodeAllEmails($text);

If you only want to encode mailtos:

    $enkoder->enkodeMailtos($text);

If you only want to encode plaintext emails:

    $enkoder->enkodePlaintextEmails($text);

## Credits

Based on Michael Greenberg's PHPEnkoder plugin for Wordpress, 
which is itself a port of Hivelogic Enkoder. See the PHP
class for license details.

Other contributors: [Martin Adamko](https://github.com/attitude)